{if isset($error)}
	<div class="alert alert-danger"><i class="fa fa-info-circle"></i> {$error}</div>
{/if}
{if isset($success)}
	<div class="alert alert-success"><i class="fa fa-info-circle"></i> {$success}</div>
{/if}
<h3>Preiskonfiguration von {$artikel->cName} ({$artikel->cArtNr})</h3>
<p>Gebe hier beliebig viele Preiskonfigurationen an, die von oben nach unten abgearbeitet werden, <strong>nachdem</strong> JTL den Preis berechnet hat.</p>
	<button class="btn btn-primary" onclick="javascript:addManipulation();"><i class="fa fa-plus"></i> Neue Preiskonfiguration</button><br><br>
<form action="plugin.php?kPlugin={$oPlugin->kPlugin}&amp;action=manipulations&amp;kArtikel={$artikel->kArtikel}" method="post">

	<div id="weitereKonfigs">
	{assign var="anzManipulation" value="0"}
	{assign var="anzBedingungen" value="0"}
	{assign var="anzAktionen" value="0"}
	{assign var="js_after" value=""}
	{foreach from=$manipulations item="manipulation"}
		{assign var="anzManipulation" value=$anzManipulation+1}
		<div class="panel panel-default" id="manipulation_{$anzManipulation}">
			<div class="panel-heading" style="background: #f5f5f5;">
				<h3 class="panel-title col-md-9">Preismanipulation</h3>
				<div class="col-md-3 text-right"><button type="button" class="btn btn-danger right" onclick="javascript:removeMe('manipulation_{$anzManipulation}');"><i class="fa fa-plus"></i> Entfernen</button></div>
				<div class="clear"></div>
			</div>
			<div class="panel-body" style="background: #f5f5f5;">
				<div class="input-group">
					<span class="input-group-addon"><label for="config[{$anzManipulation}][sort]">Sortier-Nummer</label></span>
					<span class="input-group-wrap">
						<input type="text" class="form-control" name="config[{$anzManipulation}][sort]" value="{$manipulation->sort}">
					</span>
				</div>
				<div class="bedingungen" id="bedingung_{$anzManipulation}">
					<div class="row">
						<h4 class="col-md-9">Bedingungen </h4>
						<div class="col-md-3 text-right"><button type="button" class="btn btn-primary right" onclick="javascript:addBedingung({$anzManipulation});"><i class="fa fa-plus"></i> Neue Bedingung</button></div>
					</div>
					<div class="input-group">
						<span class="input-group-addon"><label for="config[{$anzManipulation}][type]">Modus der Bedingungen</label></span>
						<span class="input-group-wrap">
							<select class="form-control" name="config[{$anzManipulation}][type]">
								<option value="1"{if $manipulation->json->type == 1} selected{/if}>UND (alle Bedingungen treffen zu)</option>
								<option value="0"{if $manipulation->json->type == 0} selected{/if}>ODER (min. 1 Bedingung trifft zu)</option>
							</select>
						</span>
					</div>
					{foreach from=$manipulation->json->if item="if"}
						{assign var="anzBedingungen" value=$anzBedingungen+1}
						<div class="bedingung" id="bedingung_{$anzManipulation}_{$anzBedingungen}">
							<div class="panel-heading">
								<h4 class="col-md-9">Wenn:</h3>
								<div class="col-md-3 text-right"><button type="button" class="btn btn-danger right" onclick="javascript:removeMe('bedingung_{$anzManipulation}_{$anzBedingungen}');"><i class="fa fa-plus"></i> Entfernen</button></div>
								<div class="clear"></div>
							</div>
							<select class="form-control" name="config[{$anzManipulation}][if][{$anzBedingungen}][eigenschaft]" id="config_if_{$anzManipulation}_{$anzBedingungen}" onchange="setBedingung(this,{$anzManipulation},{$anzBedingungen},false);">
								<option value="0" disabled>-- Bitte w&auml;hlen --</option>
								{foreach from=$fields item="field"}
									<option value="{$field->kEigenschaft}" data-optionen='{$field->optionen}'{if $if->eigenschaft == $field->kEigenschaft} selected{/if}>{$field->cName}</option>
								{/foreach}
								<option value="-1"{if $if->eigenschaft == -1} selected{/if}>Eigene Formel:</option>
							</select>
							<div type="text" class="form-control {if $if->eigenschaft>0}hidden{/if} formel" id="bedingungformel_{$anzManipulation}_{$anzBedingungen}">
								<div id="bedingungformel_div_{$anzManipulation}_{$anzBedingungen}" class="" contenteditable onkeyup="formel(this,'bedingungformel_input_{$anzManipulation}_{$anzBedingungen}');">{$if->eigenschaft_formel|formel}</div>
								<input type="hidden" name="config[{$anzManipulation}][if][{$anzBedingungen}][eigenschaft_formel]" id="bedingungformel_input_{$anzManipulation}_{$anzBedingungen}" value="{$if->eigenschaft_formel}" />
							</div>
							<div class="selectableFields {if $if->eigenschaft>0}hidden{/if}" id="bedingungformel_fields_{$anzManipulation}_{$anzBedingungen}">
							{foreach from=$fields item="field"}
								{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
									<button type="button" class="btn btn-primary" data-key="{$field->kEigenschaft}" data-name="{$field->cName}" onclick="javascript:addField(this,{$anzManipulation},{$anzBedingungen});"><i class="fa fa-plus"></i> {$field->cName}</button>
								{/if}
							{/foreach}
							<button type="button" class="btn btn-default" onclick="javascript:addMenge('#bedingungformel_fields_{$anzManipulation}_{$anzBedingungen}');"><i class="fa fa-plus"></i> Anzahl</button>
							</div>

							<div class="row">
								<select name="config[{$anzManipulation}][if][{$anzBedingungen}][eigenschaft_if]" id="bedingungSelektor_{$anzManipulation}_{$anzBedingungen}" class="form-control left">
									<option value="="{if $if->eigenschaft_if == "="} selected{/if}>entspricht</option>
									<option value="<"{if $if->eigenschaft_if == "<"} selected{/if}>Kleiner als</option>
									<option value=">"{if $if->eigenschaft_if == ">"} selected{/if}>Gr&ouml;&szlig;er als</option>
								</select>
								<input type="text" value="{$if->eigenschaft_value}" name="config[{$anzManipulation}][if][{$anzBedingungen}][eigenschaft_value]" id="bedingungValue_{$anzManipulation}_{$anzBedingungen}" class="form-control right" placeholder="z.B. 20">
								<select name="config[{$anzManipulation}][if][{$anzBedingungen}][eigenschaft_wert]" id="bedingungValueSelect_{$anzManipulation}_{$anzBedingungen}" class="form-control right hidden"></select>
								{if $if->eigenschaft>0}
									{assign var="js_after" value="{$js_after} setBedingung(document.getElementById('config_if_{$anzManipulation}_{$anzBedingungen}'),{$anzManipulation},{$anzBedingungen},{$if->eigenschaft_wert});"}
								{/if}
							</div>
						</div>
					{/foreach}
				</div>
				<div class="aktionen" id="aktion_{$anzManipulation}">
					<div class="row">
						<h4 class="col-md-9">Preiskalkulationen</h4>
						<div class="col-md-3 text-right"><button type="button" class="btn btn-primary right" onclick="javascript:addAktion({$anzManipulation});"><i class="fa fa-plus"></i> Neue Berechnung/Aktion</button></div>
					</div>
					{foreach from=$manipulation->json->aktion item="aktion"}
						{assign var="anzAktionen" value=$anzAktionen+1}
						<div class="aktion" id="aktion_{$anzManipulation}_{$anzAktionen}">
							<div class="panel-heading">
								<h4 class="col-md-9">Dann:</h3>
								<div class="col-md-3 text-right"><button type="button" class="btn btn-danger right" onclick="javascript:removeMe('aktion_{$anzManipulation}_{$anzAktionen}');"><i class="fa fa-plus"></i> Entfernen</button></div>
								<div class="clear"></div>
							</div>
							<select class="form-control" onchange="setAktion(this,{$anzManipulation},{$anzAktionen});" name="config[{$anzManipulation}][aktion][{$anzAktionen}][type]">
								<option value="0" disabled>-- Bitte w&auml;hlen --</option>
								<option value="1"{if $aktion->type==1} selected{/if}>Preis anpassen</option>
								<option value="2"{if $aktion->type==2} selected{/if}>Freitextfeld bef&uuml;llen</option>
								<option value="3"{if $aktion->type==3} selected{/if}>Freitextfeld ausblenden</option>
								<option value="4"{if $aktion->type==4} selected{/if}>Freitextfeld einblenden</option>
							</select>
							<div id="aktion_preis_{$anzManipulation}_{$anzAktionen}" class="{if $aktion->type!=1}hidden {/if}row">
								<div class="left">
									<select class="form-control" name="config[{$anzManipulation}][aktion][{$anzAktionen}][preis_type]" onchange="setAktionPreis(this,{$anzManipulation},{$anzAktionen});" >
										<option value="0"{if $aktion->preis_type==0} selected{/if}>Fester Aufpreis</option>
										<option value="1"{if $aktion->preis_type==1} selected{/if}>Prozentualer Aufpreis</option>
										<option value="2"{if $aktion->preis_type==2} selected{/if}>Formel</option>
									</select>
								</div>
								<div class="right{if $aktion->preis_type==2} hidden{/if}">
									<input type="text" class="form-control" name="config[{$anzManipulation}][aktion][{$anzAktionen}][preis_wert]" value="{$aktion->preis_wert}" placeholder="z.B. 10 (ohne EUR oder % !)" />
								</div>
								<div class="clear"></div>
								<div class="full{if $aktion->preis_type!=2} hidden{/if}">
									<div type="text" class="form-control formel">
										<div id="aktion_preis_formel_div_{$anzManipulation}_{$anzAktionen}" class="formel" contenteditable onkeyup="formel(this,'aktion_preis_formel_{$anzManipulation}_{$anzAktionen}');">{$aktion->preis_formel|formel}</div>
										<input type="hidden" name="config[{$anzManipulation}][aktion][{$anzAktionen}][preis_formel]" value="{$aktion->preis_formel}" id="aktion_preis_formel_{$anzManipulation}_{$anzAktionen}" value="" />
									</div>
									<div class="selectableFields">
										<button type="button" class="btn btn-danger" onclick="javascript:addPreis({$anzManipulation},{$anzAktionen});"><i class="fa fa-plus"></i> Preis</button>
									{foreach from=$fields item="field"}
										{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
											<button type="button" class="btn btn-primary" data-key="{$field->kEigenschaft}" data-name="{$field->cName}" onclick="javascript:addField2(this,{$anzManipulation},{$anzAktionen});"><i class="fa fa-plus"></i> {$field->cName}</button>
										{/if}
									{/foreach}
										<button type="button" class="btn btn-default" onclick="javascript:addMenge('#aktion_preis_formel_div_{$anzManipulation}_{$anzAktionen}');"><i class="fa fa-plus"></i> Anzahl</button>
									</div>
									
								</div>
							</div>
							<div id="aktion_verstecken_{$anzManipulation}_{$anzAktionen}" class="{if $aktion->type!=3 && $aktion->type!=4}hidden {/if}row">
								<div class="input-group">
									<span class="input-group-addon"><label for="config[{$anzManipulation}][aktion][{$anzAktionen}][verstecken]">Feld festlegen</label></span>
									<span class="input-group-wrap">
										<select class="form-control" name="config[{$anzManipulation}][aktion][{$anzAktionen}][verstecken]">
											<option value="0" disabled>-- Bitte w&auml;hlen --</option>
											{foreach from=$fields item="field"}
												{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
													<option value="{$field->kEigenschaft}"{if $field->kEigenschaft == $aktion->verstecken} selected{/if}>{$field->cName}</option>
												{/if}
											{/foreach}
										</select>
									</span>
								</div>
							</div>
							<div id="aktion_feld_{$anzManipulation}_{$anzAktionen}" class="{if $aktion->type!=2}hidden {/if}row">
							<div class="input-group">
										<span class="input-group-addon"><label for="config[{$anzManipulation}][aktion][{$anzAktionen}][field]">Feld festlegen</label></span>
										<span class="input-group-wrap">
											<select class="form-control" name="config[{$anzManipulation}][aktion][{$anzAktionen}][field_input]">
												<option value="0" disabled>-- Bitte w&auml;hlen --</option>
												{foreach from=$fields item="field"}
													{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
														<option value="{$field->kEigenschaft}"{if $field->kEigenschaft == $aktion->field_input} selected{/if}>{$field->cName}</option>
													{/if}
												{/foreach}
											</select>
										</span>
									</div>
								<div class="left">
									<select class="form-control" name="config[{$anzManipulation}][aktion][{$anzAktionen}][field_type]" onchange="setAktionFeld(this,{$anzManipulation},{$anzAktionen});" >
										<option value="0"{if $aktion->field_type==0} selected{/if}>Fester Wert</option>
										<option value="1"{if $aktion->field_type==1} selected{/if}>Formel</option>
									</select>
								</div>
								<div class="right{if $aktion->field_type==1} hidden{/if}">
									<input type="text" class="form-control" name="config[{$anzManipulation}][aktion][{$anzAktionen}][field_value]" value="{$aktion->field_value}" placeholder="z.B. 50 oder auch ein Text" />
								</div>
								<div class="clear"></div>
								<div class="full{if $aktion->field_type!=1} hidden{/if}">
									<input type="text" class="form-control w50" name="config[{$anzManipulation}][aktion][{$anzAktionen}][field_praefix]" value="{$aktion->field_praefix}" placeholder="Pr&auml;fix (vorstellen)" />
									<input type="text" class="form-control w50" name="config[{$anzManipulation}][aktion][{$anzAktionen}][field_suffix]" value="{$aktion->field_suffix}" placeholder="Suffix (nachstellen)" />
									
									<div class="clear"></div>

									<div type="text" class="form-control formel">
										<div id="aktion_feld_formel_div_{$anzManipulation}_{$anzAktionen}" class="formel" contenteditable onkeyup="formel(this,'aktion_feld_formel_{$anzManipulation}_{$anzAktionen}');">{$aktion->field_formel|formel}</div>
										<input type="hidden" value="{$aktion->field_formel}" name="config[{$anzManipulation}][aktion][{$anzAktionen}][field_formel]" id="aktion_feld_formel_{$anzManipulation}_{$anzAktionen}" value="" />
									</div>
									<div class="selectableFields">
									{foreach from=$fields item="field"}
										{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
											<button type="button" class="btn btn-primary" data-key="{$field->kEigenschaft}" data-name="{$field->cName}" onclick="javascript:addField3(this,{$anzManipulation},{$anzAktionen});"><i class="fa fa-plus"></i> {$field->cName}</button>
										{/if}
									{/foreach}
									<button type="button" class="btn btn-default" onclick="javascript:addMenge('#aktion_feld_formel_div_{$anzManipulation}_{$anzAktionen}');"><i class="fa fa-plus"></i> Anzahl</button>
									</div>
									
									
								</div>
							</div>
						</div>
					{/foreach}
				</div>
			</div>
		</div>
	{/foreach}
	</div>
	<a href="plugin.php?kPlugin={$oPlugin->kPlugin}" class="btn btn-default">Zur&uuml;ck zur &Uuml;bersicht</a>
	<button type="submit" class="btn btn-primary" name="saveManipulations" value="1">
		<i class="fa fa-share"></i> Speichern
	</button>
</form>

<script type="text/template" id="konfigTemplate">
	<div class="panel panel-default" id="manipulation_##i##">
		<div class="panel-heading" style="background: #f5f5f5;">
			<h3 class="panel-title col-md-9">Preismanipulation</h3>
			<div class="col-md-3 text-right"><button type="button" class="btn btn-danger right" onclick="javascript:removeMe('manipulation_##i##');"><i class="fa fa-plus"></i> Entfernen</button></div>
			<div class="clear"></div>
		</div>
		<div class="panel-body" style="background: #f5f5f5;">
			<div class="input-group">
				<span class="input-group-addon"><label for="config[##i##][sort]">Sortier-Nummer</label></span>
				<span class="input-group-wrap">
					<input type="text" class="form-control" name="config[##i##][sort]" value="##i##">
				</span>
			</div>
			<div class="bedingungen" id="bedingung_##i##">
				<div class="row">
					<h4 class="col-md-9">Bedingungen </h4>
					<div class="col-md-3 text-right"><button type="button" class="btn btn-primary right" onclick="javascript:addBedingung(##i##);"><i class="fa fa-plus"></i> Neue Bedingung</button></div>
				</div>
				<div class="input-group">
					<span class="input-group-addon"><label for="config[##i##][type]">Modus der Bedingungen</label></span>
					<span class="input-group-wrap">
						<select class="form-control" name="config[##i##][type]">
							<option value="1">UND (alle Bedingungen treffen zu)</option>
							<option value="0">ODER (min. 1 Bedingung trifft zu)</option>
						</select>
					</span>
				</div>
			</div>
			<div class="aktionen" id="aktion_##i##">
				<div class="row">
					<h4 class="col-md-9">Preiskalkulationen</h4>
					<div class="col-md-3 text-right"><button type="button" class="btn btn-primary right" onclick="javascript:addAktion(##i##);"><i class="fa fa-plus"></i> Neue Berechnung/Aktion</button></div>
				</div>
			</div>
		</div>
	</div>
</script>


<script type="text/template" id="aktionTemplate">
	<div class="aktion" id="aktion_##i##_##a##">
		<div class="panel-heading">
			<h4 class="col-md-9">Dann:</h3>
			<div class="col-md-3 text-right"><button type="button" class="btn btn-danger right" onclick="javascript:removeMe('aktion_##i##_##a##');"><i class="fa fa-plus"></i> Entfernen</button></div>
			<div class="clear"></div>
		</div>
		<select class="form-control" onchange="setAktion(this,##i##,##a##);" name="config[##i##][aktion][##a##][type]">
			<option value="0" disabled selected>-- Bitte w&auml;hlen --</option>
			<option value="1">Preis anpassen</option>
			<option value="2">Freitextfeld bef&uuml;llen</option>
			<option value="3">Freitextfeld ausblenden</option>
			<option value="4">Freitextfeld einblenden</option>
		</select>
		<div id="aktion_preis_##i##_##a##" class="hidden row">
			<div class="left">
				<select class="form-control" name="config[##i##][aktion][##a##][preis_type]" onchange="setAktionPreis(this,##i##,##a##);" >
					<option value="0">Fester Aufpreis</option>
					<option value="1">Prozentualer Aufpreis</option>
					<option value="2">Formel</option>
				</select>
			</div>
			<div class="right">
				<input type="text" class="form-control" name="config[##i##][aktion][##a##][preis_wert]" placeholder="z.B. 10 (ohne EUR oder % !)" />
			</div>
			<div class="clear"></div>
			<div class="full hidden">
				<div type="text" class="form-control formel">
					<div id="aktion_preis_formel_div_##i##_##a##" class="formel" contenteditable onkeyup="formel(this,'aktion_preis_formel_##i##_##a##');">
					
					</div>
					<input type="hidden" name="config[##i##][aktion][##a##][preis_formel]" id="aktion_preis_formel_##i##_##a##" value="" />
				</div>
				<div class="selectableFields">
					<button type="button" class="btn btn-danger" onclick="javascript:addPreis(##i##,##a##);"><i class="fa fa-plus"></i> Preis</button>
				{foreach from=$fields item="field"}
					{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
						<button type="button" class="btn btn-primary" data-key="{$field->kEigenschaft}" data-name="{$field->cName}" onclick="javascript:addField2(this,##i##,##a##);"><i class="fa fa-plus"></i> {$field->cName}</button>
					{/if}
				{/foreach}
					<button type="button" class="btn btn-default" onclick="javascript:addMenge('#aktion_preis_formel_div_##i##_##a##');"><i class="fa fa-plus"></i> Anzahl</button>
				</div>
				
			</div>
		</div>
		<div id="aktion_verstecken_##i##_##a##" class="hidden row">
			<div class="input-group">
				<span class="input-group-addon"><label for="config[##i##][aktion][##a##][verstecken]">Feld festlegen</label></span>
				<span class="input-group-wrap">
					<select class="form-control" name="config[##i##][aktion][##a##][verstecken]">
						<option value="0" disabled>-- Bitte w&auml;hlen --</option>
						{foreach from=$fields item="field"}
							{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
								<option value="{$field->kEigenschaft}">{$field->cName}</option>
							{/if}
						{/foreach}
					</select>
				</span>
			</div>
		</div>
		<div id="aktion_feld_##i##_##a##" class="hidden row">
		<div class="input-group">
					<span class="input-group-addon"><label for="config[##i##][aktion][##a##][field]">Feld festlegen</label></span>
					<span class="input-group-wrap">
						<select class="form-control" name="config[##i##][aktion][##a##][field_input]">
							<option value="0" disabled selected>-- Bitte w&auml;hlen --</option>
							{foreach from=$fields item="field"}
								{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
									<option value="{$field->kEigenschaft}">{$field->cName}</option>
								{/if}
							{/foreach}
						</select>
					</span>
				</div>
			<div class="left">
				<select class="form-control" name="config[##i##][aktion][##a##][field_type]" onchange="setAktionFeld(this,##i##,##a##);" >
					<option value="0">Fester Wert</option>
					<option value="1">Formel</option>
				</select>
			</div>
			<div class="right">
				<input type="text" class="form-control" name="config[##i##][aktion][##a##][field_value]" placeholder="z.B. 50 oder auch ein Text" />
			</div>
			<div class="clear"></div>
			<div class="full hidden">
				<input type="text" class="form-control w50" name="config[##i##][aktion][##a##][field_praefix]" placeholder="Pr&auml;fix (vorstellen)" />
				<input type="text" class="form-control w50" name="config[##i##][aktion][##a##][field_suffix]" placeholder="Suffix (nachstellen)" />
				
				<div class="clear"></div>

				<div type="text" class="form-control formel">
					<div id="aktion_feld_formel_div_##i##_##a##" class="formel" contenteditable onkeyup="formel(this,'aktion_feld_formel_##i##_##a##');">
					
					</div>
					<input type="hidden" name="config[##i##][aktion][##a##][field_formel]" id="aktion_feld_formel_##i##_##a##" value="" />
				</div>
				<div class="selectableFields">
				{foreach from=$fields item="field"}
					{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
						<button type="button" class="btn btn-primary" data-key="{$field->kEigenschaft}" data-name="{$field->cName}" onclick="javascript:addField3(this,##i##,##a##);"><i class="fa fa-plus"></i> {$field->cName}</button>
					{/if}
				{/foreach}
				<button type="button" class="btn btn-default" onclick="javascript:addMenge('#aktion_feld_formel_div_##i##_##a##');"><i class="fa fa-plus"></i> Anzahl</button>
				</div>
				
				
			</div>
		</div>
	</div>
</script>
<script type="text/template" id="bedingungTemplate">
	<div class="bedingung" id="bedingung_##i##_##b##">
		<div class="panel-heading">
			<h4 class="col-md-9">Wenn:</h3>
			<div class="col-md-3 text-right"><button type="button" class="btn btn-danger right" onclick="javascript:removeMe('bedingung_##i##_##b##');"><i class="fa fa-plus"></i> Entfernen</button></div>
			<div class="clear"></div>
		</div>
		<select class="form-control" name="config[##i##][if][##b##][eigenschaft]" onchange="setBedingung(this,##i##,##b##,false);">
			<option value="0" disabled selected>-- Bitte w&auml;hlen --</option>
			{foreach from=$fields item="field"}
				<option value="{$field->kEigenschaft}" data-optionen='{$field->optionen}'>{$field->cName}</option>
			{/foreach}
			<option value="-1">Eigene Formel:</option>
		</select>
		<div type="text" class="form-control hidden formel" id="bedingungformel_##i##_##b##">
			<div id="bedingungformel_div_##i##_##b##" class="" contenteditable onkeyup="formel(this,'bedingungformel_input_##i##_##b##');">
			
			</div>
			<input type="hidden" name="config[##i##][if][##b##][eigenschaft_formel]" id="bedingungformel_input_##i##_##b##" value="" />
		</div>
		<div class="selectableFields hidden" id="bedingungformel_fields_##i##_##b##">
		{foreach from=$fields item="field"}
			{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
				<button type="button" class="btn btn-primary" data-key="{$field->kEigenschaft}" data-name="{$field->cName}" onclick="javascript:addField(this,##i##,##b##);"><i class="fa fa-plus"></i> {$field->cName}</button>
			{/if}
		{/foreach}
		<button type="button" class="btn btn-default" onclick="javascript:addMenge('#bedingungformel_div_##i##_##b##');"><i class="fa fa-plus"></i> Anzahl</button>
		</div>

		<div class="row">
			<select name="config[##i##][if][##b##][eigenschaft_if]" id="bedingungSelektor_##i##_##b##" class="form-control left">
				<option value="=">entspricht</option>
				<option value="<">Kleiner als</option>
				<option value=">">Gr&ouml;&szlig;er als</option>
			</select>
			<input type="text" name="config[##i##][if][##b##][eigenschaft_value]" id="bedingungValue_##i##_##b##" class="form-control right" placeholder="z.B. 20">
			<select name="config[##i##][if][##b##][eigenschaft_wert]" id="bedingungValueSelect_##i##_##b##" class="form-control right hidden"></select>
		</div>
	</div>
</script>

<script type="text/javascript">
var anzFields = {$anzManipulation};
var anzBedingung = {$anzBedingungen};
var anzAktionen = {$anzAktionen};
function addManipulation()
{ldelim}
	anzFields++;
	var html = $('#konfigTemplate').html();
	html = html.replace(/##i##/g,anzFields);
	$('#weitereKonfigs').append(html);
	return false;
{rdelim}

function removeMe(elem)
{
	$('#'+elem).remove();
}

function formel(elem,target)
{
	var formel = $(elem).html().trim();
	var ghost = $('<div>');
	ghost.append(formel);
	ghost.find('span').each(function()
	{
		if($(this).attr('data-value') == 'price')
			$(this).html('##price##');
		else if($(this).attr('data-value') == 'quantity')
			$(this).html('##quantity##');
		else
			$(this).html('##e:'+$(this).attr('data-value')+'##');
	});
	$('#'+target).val($(ghost).text());
}

function setAktionPreis(select,i,a)
{
	if($(select).val() == '2')
	{
		$('#aktion_preis_'+i+'_'+a+' .right').addClass('hidden');
		$('#aktion_preis_'+i+'_'+a+' .full').removeClass('hidden');
	}
	else
	{
		$('#aktion_preis_'+i+'_'+a+' .right').removeClass('hidden');
		$('#aktion_preis_'+i+'_'+a+' .full').addClass('hidden');
	}
}
function setAktionFeld(select,i,a)
{
	if($(select).val() == '1')
	{
		$('#aktion_feld_'+i+'_'+a+' .right').addClass('hidden');
		$('#aktion_feld_'+i+'_'+a+' .full').removeClass('hidden');
	}
	else
	{
		$('#aktion_feld_'+i+'_'+a+' .right').removeClass('hidden');
		$('#aktion_feld_'+i+'_'+a+' .full').addClass('hidden');
	}
}

function setAktion(select,i,a)
{
	$('#aktion_verstecken_'+i+'_'+a).addClass('hidden');
	$('#aktion_preis_'+i+'_'+a).addClass('hidden');
	$('#aktion_feld_'+i+'_'+a).addClass('hidden');
	
	if($(select).val() == '2')
		$('#aktion_feld_'+i+'_'+a).removeClass('hidden');
	else if($(select).val() == 3 || $(select).val() == 4)
		$('#aktion_verstecken_'+i+'_'+a).removeClass('hidden');
	else
		$('#aktion_preis_'+i+'_'+a).removeClass('hidden');
}

function addField(elem,i,b)
{
	var html = '<span contenteditable="false" class="eigenschaft" data-value="'+$(elem).attr('data-key')+'">'+$(elem).attr('data-name')+'</span> + ';
	$('#bedingungformel_div_'+i+'_'+b).append(html);
	$('#bedingungformel_div_'+i+'_'+b).trigger('keyup');
}
function addField2(elem,i,a)
{
	var html = '<span contenteditable="false" class="eigenschaft" data-value="'+$(elem).attr('data-key')+'">'+$(elem).attr('data-name')+'</span> + ';
	$('#aktion_preis_formel_div_'+i+'_'+a).append(html);
	$('#aktion_preis_formel_div_'+i+'_'+a).trigger('keyup');
}
function addPreis(i,a)
{
	var html = '<span contenteditable="false" class="eigenschaft price" data-value="price">Preis</span> + ';
	$('#aktion_preis_formel_div_'+i+'_'+a).append(html);
	$('#aktion_preis_formel_div_'+i+'_'+a).trigger('keyup');
}
function addMenge(element)
{
	var html = '<span contenteditable="false" class="eigenschaft quantity" data-value="quantity">Anzahl</span> * ';
	$(element).append(html);
	$(element).trigger('keyup');
}
function addField3(elem,i,a)
{
	var html = '<span contenteditable="false" class="eigenschaft" data-value="'+$(elem).attr('data-key')+'">'+$(elem).attr('data-name')+'</span> +';
	$('#aktion_feld_formel_div_'+i+'_'+a).append(html);
	$('#aktion_feld_formel_div_'+i+'_'+a).trigger('keyup');
}

function addBedingung(nr)
{ldelim}
	anzBedingung++;
	var html = $('#bedingungTemplate').html();
	html = html.replace(/##i##/g,nr);
	html = html.replace(/##b##/g,anzBedingung);
	$('#bedingung_'+nr).append(html);
	return false;
{rdelim}

function addAktion(nr)
{ldelim}
	anzAktionen++;
	var html = $('#aktionTemplate').html();
	html = html.replace(/##i##/g,nr);
	html = html.replace(/##a##/g,anzAktionen);
	$('#aktion_'+nr).append(html);
	return false;
	return false;
{rdelim}

function setBedingung(select,i,b,value)
{ldelim}
	if($(select).val() == -1)
	{
		$('#bedingungformel_'+i+'_'+b).removeClass('hidden');
		$('#bedingungformel_fields_'+i+'_'+b).removeClass('hidden');
		$('#bedingungSelektor_'+i+'_'+b+' option:eq(1)').removeAttr('disabled');
		$('#bedingungSelektor_'+i+'_'+b+' option:eq(2)').removeAttr('disabled');
		$('#bedingungValue_'+i+'_'+b).removeClass('hidden');
		$('#bedingungValueSelect_'+i+'_'+b).addClass('hidden');
	}
	else
	{
		$('#bedingungformel_'+i+'_'+b).addClass('hidden');
		$('#bedingungformel_fields_'+i+'_'+b).addClass('hidden');
		var data = $('option:selected', select).attr('data-optionen');
		console.log(data);
		var optionen = JSON.parse(data);
		if(optionen.length > 0)
		{
			$('#bedingungSelektor_'+i+'_'+b).val('=');
			$('#bedingungSelektor_'+i+'_'+b+' option:eq(1)').attr('disabled',true);
			$('#bedingungSelektor_'+i+'_'+b+' option:eq(2)').attr('disabled',true);
			$('#bedingungValue_'+i+'_'+b).addClass('hidden');
			$('#bedingungValueSelect_'+i+'_'+b).removeClass('hidden');
			//Jetzt noch die Optionen setzen
			$('#bedingungValueSelect_'+i+'_'+b).html('');
			for(let option of optionen)
			{
				$('#bedingungValueSelect_'+i+'_'+b).append('<option value="'+option.key+'">'+option.value+'</option>');
			}
			if(value)
				$('#bedingungValueSelect_'+i+'_'+b).val(value);
		}
		else
		{
			$('#bedingungSelektor_'+i+'_'+b+' option:eq(1)').removeAttr('disabled');
			$('#bedingungSelektor_'+i+'_'+b+' option:eq(2)').removeAttr('disabled');
			$('#bedingungValue_'+i+'_'+b).removeClass('hidden');
			$('#bedingungValueSelect_'+i+'_'+b).addClass('hidden');
		}
	}
{rdelim}
{if $js_after != ''}{$js_after}{/if}
</script>